Bug 1262230 - [quorum]: Replace brick is happened when Quorum not met.
Summary: [quorum]: Replace brick is happened when Quorum not met.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: glusterd
Version: rhgs-3.1
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
: RHGS 3.4.0
Assignee: Atin Mukherjee
QA Contact: Bala Konda Reddy M
URL:
Whiteboard: rebase
Depends On:
Blocks: 1483058 1486110 1503134
TreeView+ depends on / blocked
 
Reported: 2015-09-11 08:29 UTC by Byreddy
Modified: 2018-09-04 06:29 UTC (History)
8 users (show)

Fixed In Version: glusterfs-3.12.2-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1483058 (view as bug list)
Environment:
Last Closed: 2018-09-04 06:26:58 UTC


Attachments (Terms of Use)
Glusterd Log (14.44 MB, text/plain)
2015-09-11 08:39 UTC, Byreddy
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2607 None None None 2018-09-04 06:29:05 UTC

Description Byreddy 2015-09-11 08:29:23 UTC
Description of problem:
Brick replace is happened successfully when Quorum not met also which is not expected.


Version-Release number of selected component (if applicable):
glusterfs-3.7.1-14


How reproducible:
Always

Steps to Reproduce:
1.Create a cluster of two nodes (Node-1 and Node-2)
2.Create a Distributed volume using two node bricks.
3.Start the Volume.
4.Shutdown one of the node (Node-2)
5. 
  a. Check the volume status //brick status should be offline (To make sure Quorum Not met )
    (OR)
  b. Check for message "Server quorum lost for volume Dis. Stopping local bricks." in /var/log/messages

6. Replace the existing brick on node which is up with new brick.


Actual results:
Replace brick is happened when quorum not met


Expected results:
Replace brick should not happen when quorum not met.

Additional info:

Comment 3 Byreddy 2015-09-11 08:39:31 UTC
Created attachment 1072494 [details]
Glusterd Log

Comment 4 Byreddy 2016-01-12 09:17:40 UTC
This issue reproduced with 3.1.2 build (glusterfs-3.7.5-15 ) as well.

Comment 7 Atin Mukherjee 2017-08-30 05:21:38 UTC
upstream patch : https://review.gluster.org/18068

Comment 10 Bala Konda Reddy M 2018-02-19 10:30:45 UTC
BUILD : 3.12.2-4

When quorum is not met, replace brick is failing as expected.

Hence marking it as verified

Comment 13 errata-xmlrpc 2018-09-04 06:26:58 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2607


Note You need to log in before you can comment on or make changes to this bug.